Bug 870285 - sysfs: cannot create duplicate filename '/devices/pci etc
sysfs: cannot create duplicate filename '/devices/pci etc
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 00:12 EDT by Mustafa Mehmed
Modified: 2013-03-13 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-13 08:20:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (101.11 KB, text/plain)
2012-10-26 00:12 EDT, Mustafa Mehmed
no flags Details
lspci output (2.82 KB, text/plain)
2012-10-26 00:13 EDT, Mustafa Mehmed
no flags Details
lspci verbose for 00:04.0 device (2.95 KB, text/plain)
2012-10-26 00:14 EDT, Mustafa Mehmed
no flags Details
lspci verbose for 01:00.0 device (2.50 KB, text/plain)
2012-10-26 00:15 EDT, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2012-10-26 00:12:13 EDT
Created attachment 633628 [details]
dmesg output

Description of problem:
 sysfs: cannot create duplicate filename '/devices/pci

Version-Release number of selected component (if applicable):
3.6.2-4.fc17.x86_64 #1 SMP Wed Oct 17 02:43:21 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
always

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mustafa Mehmed 2012-10-26 00:13:20 EDT
Created attachment 633629 [details]
lspci output

added another attachment
Comment 2 Mustafa Mehmed 2012-10-26 00:14:18 EDT
Created attachment 633630 [details]
lspci verbose for 00:04.0 device

added another attachment
Comment 3 Mustafa Mehmed 2012-10-26 00:15:04 EDT
Created attachment 633631 [details]
lspci verbose for 01:00.0 device

added another attachment
Comment 4 Josh Boyer 2013-03-12 15:08:21 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 5 Mustafa Mehmed 2013-03-12 19:08:39 EDT
I am not getting this message any more (kernel is 3.7.9-104.fc17.x86_64 #1 SMP Sun Feb 24 19:19:12 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux).

However I have replaced the offending pci card with two different cards as follows :-

$ lspci
00:00.0 Host bridge: ATI Technologies Inc RD790 Northbridge only dual slot PCI-e_GFX and HT3 K8 part
00:04.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port A)
00:05.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port B)
00:07.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port D)
00:09.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port E)
00:0a.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (PCI express gpp port F)
00:0b.0 PCI bridge: ATI Technologies Inc RD790 PCI to PCI bridge (external gfx1 port A)
00:11.0 SATA controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
00:12.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:12.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:12.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:13.0 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
00:13.1 USB Controller: ATI Technologies Inc SB7x0 USB OHCI1 Controller
00:13.2 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB EHCI Controller
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 3c)
00:14.1 IDE interface: ATI Technologies Inc SB7x0/SB8x0/SB9x0 IDE Controller
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia (Intel HDA)
00:14.3 ISA bridge: ATI Technologies Inc SB7x0/SB8x0/SB9x0 LPC host controller
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:14.5 USB Controller: ATI Technologies Inc SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h Processor Link Control
01:00.0 Multimedia controller: Philips Semiconductors SAA7164 (rev 81)
02:00.0 Multimedia controller: Philips Semiconductors SAA7164 (rev 81)
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
05:00.0 SATA controller: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller (rev 02)
05:00.1 IDE interface: JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller (rev 02)
06:00.0 VGA compatible controller: nVidia Corporation G98 [GeForce 8400 GS] (rev a1)
07:0e.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)

The Conexant Systems, Inc. CX23885 PCI Video and Audio Decoder (rev 02) card has been removed.
Comment 6 Josh Boyer 2013-03-13 08:20:11 EDT
OK.  We'll close this out for now.

Note You need to log in before you can comment on or make changes to this bug.